<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>pam_pkcs11: alg_st.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">pam_pkcs11
   &#160;<span id="projectnumber">0.6.11</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',false,false,'search.php','Search');
});
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="dir_fdedb0aba14d44ce9d99bc100e026e6a.html">common</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a> &#124;
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">alg_st.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;openssl/evp.h&gt;</code><br />
</div>
<p><a href="alg__st_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:a4f3c6884fae69ea79a64f548f3a2646c"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="alg__st_8h.html#a4f3c6884fae69ea79a64f548f3a2646c">ALGORITHM_SHA512</a>&#160;&#160;&#160;&quot;sha512&quot;</td></tr>
<tr class="separator:a4f3c6884fae69ea79a64f548f3a2646c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2b95e1fdc8505f42a5783c38c9e898cf"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="alg__st_8h.html#a2b95e1fdc8505f42a5783c38c9e898cf">ALGORITHM_SHA384</a>&#160;&#160;&#160;&quot;sha384&quot;</td></tr>
<tr class="separator:a2b95e1fdc8505f42a5783c38c9e898cf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9146b10b4c97517f09e21f9474bd0d4d"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="alg__st_8h.html#a9146b10b4c97517f09e21f9474bd0d4d">ALGORITHM_SHA256</a>&#160;&#160;&#160;&quot;sha256&quot;</td></tr>
<tr class="separator:a9146b10b4c97517f09e21f9474bd0d4d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abd5bb6da7428f2628e1198852b1befa5"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="alg__st_8h.html#abd5bb6da7428f2628e1198852b1befa5">ALGORITHM_SHA1</a>&#160;&#160;&#160;&quot;sha1&quot;</td></tr>
<tr class="separator:abd5bb6da7428f2628e1198852b1befa5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad46d4aa849bf50fe317ef15af6b93062"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="alg__st_8h.html#ad46d4aa849bf50fe317ef15af6b93062">ALGORITHM_MD5</a>&#160;&#160;&#160;&quot;md5&quot;</td></tr>
<tr class="separator:ad46d4aa849bf50fe317ef15af6b93062"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a307ef6d6481a736d41acf7f436d0ffbe"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="alg__st_8h.html#a307ef6d6481a736d41acf7f436d0ffbe">ALGORITHM_MD2</a>&#160;&#160;&#160;&quot;md2&quot;</td></tr>
<tr class="separator:a307ef6d6481a736d41acf7f436d0ffbe"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr class="memitem:a145b5cb18e883dadb6bc56de4cb56bd1"><td class="memItemLeft" align="right" valign="top">typedef EVP_MD&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="alg__st_8h.html#a145b5cb18e883dadb6bc56de4cb56bd1">ALGDIGEST</a></td></tr>
<tr class="separator:a145b5cb18e883dadb6bc56de4cb56bd1"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a68d29b76410ccbb2955746235772d775"><td class="memItemLeft" align="right" valign="top"><a class="el" href="cert__st_8h.html#accc349514b4f751a105b1602d828f630">ALGORITHM_TYPE</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="alg__st_8h.html#a68d29b76410ccbb2955746235772d775">Alg_get_alg_from_string</a> (const char *)</td></tr>
<tr class="separator:a68d29b76410ccbb2955746235772d775"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afcbcc77a233e124f57a4d58c95fedab6"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="alg__st_8h.html#a145b5cb18e883dadb6bc56de4cb56bd1">ALGDIGEST</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="alg__st_8h.html#afcbcc77a233e124f57a4d58c95fedab6">Alg_get_digest_by_name</a> (<a class="el" href="cert__st_8h.html#accc349514b4f751a105b1602d828f630">ALGORITHM_TYPE</a> hash)</td></tr>
<tr class="separator:afcbcc77a233e124f57a4d58c95fedab6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="a307ef6d6481a736d41acf7f436d0ffbe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a307ef6d6481a736d41acf7f436d0ffbe">&#9670;&nbsp;</a></span>ALGORITHM_MD2</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ALGORITHM_MD2&#160;&#160;&#160;&quot;md2&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="alg__st_8h_source.html#l00045">45</a> of file <a class="el" href="alg__st_8h_source.html">alg_st.h</a>.</p>

</div>
</div>
<a id="ad46d4aa849bf50fe317ef15af6b93062"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad46d4aa849bf50fe317ef15af6b93062">&#9670;&nbsp;</a></span>ALGORITHM_MD5</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ALGORITHM_MD5&#160;&#160;&#160;&quot;md5&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="alg__st_8h_source.html#l00044">44</a> of file <a class="el" href="alg__st_8h_source.html">alg_st.h</a>.</p>

</div>
</div>
<a id="abd5bb6da7428f2628e1198852b1befa5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abd5bb6da7428f2628e1198852b1befa5">&#9670;&nbsp;</a></span>ALGORITHM_SHA1</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ALGORITHM_SHA1&#160;&#160;&#160;&quot;sha1&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="alg__st_8h_source.html#l00043">43</a> of file <a class="el" href="alg__st_8h_source.html">alg_st.h</a>.</p>

</div>
</div>
<a id="a9146b10b4c97517f09e21f9474bd0d4d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9146b10b4c97517f09e21f9474bd0d4d">&#9670;&nbsp;</a></span>ALGORITHM_SHA256</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ALGORITHM_SHA256&#160;&#160;&#160;&quot;sha256&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="alg__st_8h_source.html#l00042">42</a> of file <a class="el" href="alg__st_8h_source.html">alg_st.h</a>.</p>

</div>
</div>
<a id="a2b95e1fdc8505f42a5783c38c9e898cf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2b95e1fdc8505f42a5783c38c9e898cf">&#9670;&nbsp;</a></span>ALGORITHM_SHA384</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ALGORITHM_SHA384&#160;&#160;&#160;&quot;sha384&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="alg__st_8h_source.html#l00041">41</a> of file <a class="el" href="alg__st_8h_source.html">alg_st.h</a>.</p>

</div>
</div>
<a id="a4f3c6884fae69ea79a64f548f3a2646c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4f3c6884fae69ea79a64f548f3a2646c">&#9670;&nbsp;</a></span>ALGORITHM_SHA512</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ALGORITHM_SHA512&#160;&#160;&#160;&quot;sha512&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="alg__st_8h_source.html#l00040">40</a> of file <a class="el" href="alg__st_8h_source.html">alg_st.h</a>.</p>

</div>
</div>
<h2 class="groupheader">Typedef Documentation</h2>
<a id="a145b5cb18e883dadb6bc56de4cb56bd1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a145b5cb18e883dadb6bc56de4cb56bd1">&#9670;&nbsp;</a></span>ALGDIGEST</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef EVP_MD <a class="el" href="alg__st_8h.html#a145b5cb18e883dadb6bc56de4cb56bd1">ALGDIGEST</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="alg__st_8h_source.html#l00039">39</a> of file <a class="el" href="alg__st_8h_source.html">alg_st.h</a>.</p>

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="a68d29b76410ccbb2955746235772d775"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a68d29b76410ccbb2955746235772d775">&#9670;&nbsp;</a></span>Alg_get_alg_from_string()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="cert__st_8h.html#accc349514b4f751a105b1602d828f630">ALGORITHM_TYPE</a> Alg_get_alg_from_string </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="afcbcc77a233e124f57a4d58c95fedab6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afcbcc77a233e124f57a4d58c95fedab6">&#9670;&nbsp;</a></span>Alg_get_digest_by_name()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="alg__st_8h.html#a145b5cb18e883dadb6bc56de4cb56bd1">ALGDIGEST</a>* Alg_get_digest_by_name </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="cert__st_8h.html#accc349514b4f751a105b1602d828f630">ALGORITHM_TYPE</a>&#160;</td>
          <td class="paramname"><em>hash</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed May 22 2019 12:09:34 for pam_pkcs11 by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
